javax.ws.rs

## Class ClientErrorException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - javax.ws.rs.WebApplicationException
        - - javax.ws.rs.ClientErrorException

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    BadRequestException, ForbiddenException, NotAcceptableException, NotAllowedException, NotAuthorizedException, NotFoundException, NotSupportedException

      public class ClientErrorException
      extends WebApplicationException

  A base runtime application exception indicating a client request error (HTTP `4xx` status codes).
  Since:
    2.0
  Author:
    Marek Potociar
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientErrorException(int status)` Construct a new client error exception.
    `ClientErrorException(int status, Throwable cause)` Construct a new client error exception.
    `ClientErrorException(Response.Status status)` Construct a new client error exception.
    `ClientErrorException(Response.Status status, Throwable cause)` Construct a new client error exception.
    `ClientErrorException(Response response)` Construct a new client error exception.
    `ClientErrorException(Response response, Throwable cause)` Construct a new client error exception.
    `ClientErrorException(String message, int status)` Construct a new client error exception.
    `ClientErrorException(String message, int status, Throwable cause)` Construct a new client error exception.
    `ClientErrorException(String message, Response.Status status)` Construct a new client error exception.
    `ClientErrorException(String message, Response.Status status, Throwable cause)` Construct a new client error exception.
    `ClientErrorException(String message, Response response)` Construct a new client error exception.
    `ClientErrorException(String message, Response response, Throwable cause)` Construct a new client error exception.

  - ### Method Summary

    - ### Methods inherited from class javax.ws.rs.WebApplicationException

      `getResponse`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ClientErrorException

          public ClientErrorException(Response.Status status)

      Construct a new client error exception.
      Parameters:
        `status` - client error status. Must be a `4xx` status code.
      Throws:
        `IllegalArgumentException` - in case the status code is `null` or is not from `Response.Status.Family.CLIENT_ERROR` status code family.

    - #### ClientErrorException

          public ClientErrorException(String message,
                              Response.Status status)

      Construct a new client error exception.
      Parameters:
        `message` - the detail message (which is saved for later retrieval by the `Throwable.getMessage()` method).
        `status` - client error status. Must be a `4xx` status code.
      Throws:
        `IllegalArgumentException` - in case the status code is `null` or is not from `Response.Status.Family.CLIENT_ERROR` status code family.

    - #### ClientErrorException

          public ClientErrorException(int status)

      Construct a new client error exception.
      Parameters:
        `status` - client error status. Must be a `4xx` status code.
      Throws:
        `IllegalArgumentException` - in case the status code is not a valid HTTP status code or if it is not from the `Response.Status.Family.CLIENT_ERROR` status code family.

    - #### ClientErrorException

          public ClientErrorException(String message,
                              int status)

      Construct a new client error exception.
      Parameters:
        `message` - the detail message (which is saved for later retrieval by the `Throwable.getMessage()` method).
        `status` - client error status. Must be a `4xx` status code.
      Throws:
        `IllegalArgumentException` - in case the status code is not a valid HTTP status code or if it is not from the `Response.Status.Family.CLIENT_ERROR` status code family.

    - #### ClientErrorException

          public ClientErrorException(Response response)

      Construct a new client error exception.
      Parameters:
        `response` - client error response. Must have a status code set to a `4xx` status code.
      Throws:
        `IllegalArgumentException` - in case the response status code is not from the `Response.Status.Family.CLIENT_ERROR` status code family.

    - #### ClientErrorException

          public ClientErrorException(String message,
                              Response response)

      Construct a new client error exception.
      Parameters:
        `message` - the detail message (which is saved for later retrieval by the `Throwable.getMessage()` method).
        `response` - client error response. Must have a status code set to a `4xx` status code.
      Throws:
        `IllegalArgumentException` - in case the response status code is not from the `Response.Status.Family.CLIENT_ERROR` status code family.

    - #### ClientErrorException

          public ClientErrorException(Response.Status status,
                              Throwable cause)

      Construct a new client error exception.
      Parameters:
        `status` - client error status. Must be a `4xx` status code.
        `cause` - the underlying cause of the exception.
      Throws:
        `IllegalArgumentException` - in case the status code is `null` or is not from `Response.Status.Family.CLIENT_ERROR` status code family.

    - #### ClientErrorException

          public ClientErrorException(String message,
                              Response.Status status,
                              Throwable cause)

      Construct a new client error exception.
      Parameters:
        `message` - the detail message (which is saved for later retrieval by the `Throwable.getMessage()` method).
        `status` - client error status. Must be a `4xx` status code.
        `cause` - the underlying cause of the exception.
      Throws:
        `IllegalArgumentException` - in case the status code is `null` or is not from `Response.Status.Family.CLIENT_ERROR` status code family.

    - #### ClientErrorException

          public ClientErrorException(int status,
                              Throwable cause)

      Construct a new client error exception.
      Parameters:
        `status` - client error status. Must be a `4xx` status code.
        `cause` - the underlying cause of the exception.
      Throws:
        `IllegalArgumentException` - in case the status code is not a valid HTTP status code or if it is not from the `Response.Status.Family.CLIENT_ERROR` status code family.

    - #### ClientErrorException

          public ClientErrorException(String message,
                              int status,
                              Throwable cause)

      Construct a new client error exception.
      Parameters:
        `message` - the detail message (which is saved for later retrieval by the `Throwable.getMessage()` method).
        `status` - client error status. Must be a `4xx` status code.
        `cause` - the underlying cause of the exception.
      Throws:
        `IllegalArgumentException` - in case the status code is not a valid HTTP status code or if it is not from the `Response.Status.Family.CLIENT_ERROR` status code family.

    - #### ClientErrorException

          public ClientErrorException(Response response,
                              Throwable cause)

      Construct a new client error exception.
      Parameters:
        `response` - client error response. Must have a status code set to a `4xx` status code.
        `cause` - the underlying cause of the exception.
      Throws:
        `IllegalArgumentException` - in case the response status code is not from the `Response.Status.Family.CLIENT_ERROR` status code family.

    - #### ClientErrorException

          public ClientErrorException(String message,
                              Response response,
                              Throwable cause)

      Construct a new client error exception.
      Parameters:
        `message` - the detail message (which is saved for later retrieval by the `Throwable.getMessage()` method).
        `response` - client error response. Must have a status code set to a `4xx` status code.
        `cause` - the underlying cause of the exception.
      Throws:
        `IllegalArgumentException` - in case the response status code is not from the `Response.Status.Family.CLIENT_ERROR` status code family.

Copyright © 2014. All Rights Reserved.